import "../stylesheets/PlantCard.css";
import {Link} from "react-router-dom";
import {Plant} from "../utils/schemas";

type PlantCardProps = {
    plant: Plant
}

export default function PlantCard({plant}: PlantCardProps) {
    return (
        <>
            <Link to={`/pflanze/${plant.id}`} className="plantCardLink">
                <li className="plantCard shadow-light">
                    <h2>{plant.name}</h2>
                    <img src={plant.imageUrl} alt={`Photo of plant: {plant.name}`} className="plantCardImg"/>
                </li>
            </Link>
        </>
    );
}
